import request from '@/utils/request'

const api = {
  stsAuth: '/storage/sts',
  storageUpload: '/storage/upload',
  storageDownload: '/orders/exports', // 订单导出
  institutionsExports: '/institutions/exports' // 订单导出
}

export function getStsAssumeRole () {
  return request({
    url: api.stsAuth,
    method: 'get'
  })
}

export function getStorageUploadUrl () {
  return process.env.VUE_APP_API_BASE_URL + api.storageUpload
}
export function getStorageDownUrl () {
  return process.env.VUE_APP_API_BASE_URL + api.storageDownload
}
export function institutionsExports () {
  return process.env.VUE_APP_API_BASE_URL + api.institutionsExports
}
